Bug 812734 - lvm should support to specify the metadata disk location when creating thin pool
lvm should support to specify the metadata disk location when creating thin pool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On: 814732
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 02:30 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 09:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-04-16 02:30:22 EDT
Description of problem:
currently lvcreate only supports to specify the metadata disk size when creating thin pool.
But it should also support to specify the physical disk used for metadata disk.

dmsetup can support to do this but cannot see it in lvcreate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2012-04-25 04:53:29 EDT
This problem will be resolved with generic lvconvert support, see Bug 814732 for progress.
Comment 2 Zdenek Kabelac 2012-10-11 06:12:25 EDT
Will be resolved with release of 2.02.98
Comment 3 Peter Rajnoha 2013-04-26 09:47:26 EDT
Fedora 17 is nearing its 'End of Life' in approx. two months from now, I don't expect any new updates for F17. This is fixed in F18 version of LVM2.

Note You need to log in before you can comment on or make changes to this bug.